Vous êtes nouveau sur Developpez.com ? Créez votre compte ou connectez-vous afin de pouvoir participer !

Vous devez avoir un compte Developpez.com et être connecté pour pouvoir participer aux discussions.

Vous n'avez pas encore de compte Developpez.com ? Créez-en un en quelques instants, c'est entièrement gratuit !

Si vous disposez déjà d'un compte et qu'il est bien activé, connectez-vous à l'aide du formulaire ci-dessous.

Identifiez-vous
Identifiant
Mot de passe
Mot de passe oublié ?
Créer un compte

L'inscription est gratuite et ne vous prendra que quelques instants !

Je m'inscris !

Sortie de Qt 4.8.7
Dernière version corrective de Qt 4 apportant pas moins de 150 changements

Le , par arnolddumas

0PARTAGES

0  0 
C'est aujourd'hui que sort Qt 4.8.7, une nouvelle version mineure de Qt 4 apportant plus de 150 améliorations et corrections de bogues. Qt 4.8.7 fournit de nombreuses corrections de bogues, propose une compatibilité améliorée avec OS X 10.10 ainsi que de nombreux correctifs d'erreurs. En tant que version corrective, aucune nouvelle fonctionnalité n'a été ajoutée, et la compatibilité avec les précédentes versions Qt 4.8.x est totale.

Voici les principales nouveautés de Qt 4.8.7 :

  • correction de vulnérabilités de type déni de service au niveau du gestionnaire des images BMP (CVE-2015-0295) ainsi qu’au niveau du traitement des images BMP (CVE-2015-1858), ICO (CVE-2015-1859) et GIF (CVE-2015-1860) ;
  • mise à jour des bibliothèques tierces : libpng en version 1.6.17 et libtiff en version 4.0.3, afin de corriger des vulnérabilités présentes dans de précédentes versions ;
  • meilleure compatibilité avec OS X 10.10 Yosemite ;
  • corrections de nombreux problèmes remontés par les clients.

Une liste détaillée comparant Qt 4.8.7 et Qt 4.8.6 est disponible.

Beaucoup d’utilisateurs ont déjà migré leurs projets vers Qt 5 et vous êtes encouragés à faire de même. La compatibilité au niveau du code source est haute, et la migration vers Qt 5 doit se faire en douceur et sans complication. Il est à noter que Qt 4.8.7 n’est que partiellement compatible avec OS X 10.10, seul Qt 5 prend en charge parfaitement la dernière version de la plate-forme d’Apple.

Qt 4.8.7 doit être considérée comme la dernière version corrective de Qt 4. Le support standard est disponible jusqu’en décembre 2015. Aussi, vous êtes vivement invités à migrer vos projets actifs Qt 5, dans la mesure où les nouveaux systèmes d’exploitation et nouveaux compilateurs ne seront pas supportés par Qt 4.8.

Vous pouvez télécharger Qt 4.8.7 depuis votre compte Qt ou bien directement sur download.qt.io. Merci de faire remonter les problèmes que vous pourriez rencontrer afin d’améliorer Qt 5.5 autant que possible.

Source : « Qt 4.8.7 Released »

Une erreur dans cette actualité ? Signalez-le nous !